# MatNullSpaceAttach

attaches a null space to a matrix. This null space will be removed from the resulting vector whenever MatMult() is called

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceAttach(Mat mat,MatNullSpace nullsp)

Collective on Mat

### Input Parameters

| mat | - the matrix
| nullsp | - the null space object

### Notes

Overwrites any previous null space that may have been attached

### See Also

MatCreate(), MatNullSpaceCreate()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages